# WaitlistSignupEvidence

> Consent evidence and entries for one waitlist signup. Read access, waitlists toolset, MCP tool get_waitlist_signup_evidence.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `signupId` | `UUID!` | yes |  | Checks for equality with the object’s `subjectId` field. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistSignupEvidence","variables":{"signupId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"a7fc8e87759fc1ec0478800cda44400bb07c8a6fb7596a3caa5a95c062b56fef"}}}'
```

## Document

```graphql
query WaitlistSignupEvidence($signupId: UUID!) { __typename allConsentEvents( condition: {subjectId: $signupId, subjectType: "waitlist_signup"} first: 50 ) { __typename nodes { __typename granted id method occurredAt purpose } } allWaitlistSignupEntries(condition: {signupId: $signupId}, first: 100) { __typename nodes { __typename createdAt id source sourceUrl } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-signup-evidence
